# Uses of Package
javax.print.attribute.standard

- Packages that use javax.print.attribute.standard
  Package | Description
  --- | ---
  javax.print.attribute.standard | Package javax.print.attribute.standard contains classes for specific printing attributes.

- Classes in javax.print.attribute.standard used by javax.print.attribute.standard
  Class | Description
  --- | ---
  Chromaticity | Class Chromaticity is a printing attribute class, an enumeration, that specifies monochrome or color printing.
  ColorSupported | Class ColorSupported is a printing attribute class, an enumeration, that identifies whether the device is capable of any type of color printing at all, including highlight color as well as full process color.
  Compression | Class Compression is a printing attribute class, an enumeration, that specifies how print data is compressed.
  DialogTypeSelection | Class DialogTypeSelection is a printing attribute class, an enumeration, that indicates the user dialog type to be used for specifying printing options.
  Fidelity | Class Fidelity is a printing attribute class, an enumeration, that indicates whether total fidelity to client supplied print request attributes is required.
  Finishings | Class Finishings is a printing attribute class, an enumeration, that identifies whether the printer applies a finishing operation of some kind of binding to each copy of each printed document in the job.
  JobSheets | Class JobSheets is a printing attribute class, an enumeration, that determines which job start and end sheets, if any, must be printed with a job.
  JobState | JobState is a printing attribute class, an enumeration, that identifies the current state of a print job.
  JobStateReason | Class JobStateReason is a printing attribute class, an enumeration, that provides additional information about the job's current state, i.e., information that augments the value of the job's `JobState` attribute.
  Media | Class Media is a printing attribute class that specifies the medium on which to print.
  MediaName | Class MediaName is a subclass of Media, a printing attribute class (an enumeration) that specifies the media for a print job as a name.
  MediaSize | Class MediaSize is a two-dimensional size valued printing attribute class that indicates the dimensions of the medium in a portrait orientation, with the X dimension running along the bottom edge and the Y dimension running along the left edge.
  MediaSizeName | Class MediaSizeName is a subclass of Media.
  MediaTray | Class MediaTray is a subclass of Media.
  MultipleDocumentHandling | Class MultipleDocumentHandling is a printing attribute class, an enumeration, that controls finishing operations and the placement of one or more print-stream pages into impressions and onto media sheets.
  OrientationRequested | Class OrientationRequested is a printing attribute class, an enumeration, that indicates the desired orientation for printed print-stream pages; it does not describe the orientation of the client-supplied print-stream pages.
  PDLOverrideSupported | Class PDLOverrideSupported is a printing attribute class, an enumeration, that expresses the printer's ability to attempt to override processing instructions embedded in documents' print data with processing instructions specified as attributes outside the print data.
  PresentationDirection | Class PresentationDirection is a printing attribute class, an enumeration, that is used in conjunction with the `NumberUp` attribute to indicate the layout of multiple print-stream pages to impose upon a single side of an instance of a selected medium.
  PrinterIsAcceptingJobs | Class PrinterIsAcceptingJobs is a printing attribute class, an enumeration, that indicates whether the printer is currently able to accept jobs.
  PrinterState | Class PrinterState is a printing attribute class, an enumeration, that identifies the current state of a printer.
  PrinterStateReason | Class PrinterStateReason is a printing attribute class, an enumeration, that provides additional information about the printer's current state, i.e., information that augments the value of the printer's `PrinterState` attribute.
  PrintQuality | Class PrintQuality is a printing attribute class, an enumeration, that specifies the print quality that the printer uses for the job.
  ReferenceUriSchemesSupported | Class ReferenceUriSchemesSupported is a printing attribute class an enumeration, that indicates a "URI scheme," such as "http:" or "ftp:", that a printer can use to retrieve print data stored at a URI location.
  Severity | Class Severity is a printing attribute class, an enumeration, that denotes the severity of a `PrinterStateReason` attribute.
  SheetCollate | Class SheetCollate is a printing attribute class, an enumeration, that specifies whether or not the media sheets of each copy of each printed document in a job are to be in sequence, when multiple copies of the document are specified by the `Copies` attribute.
  Sides | Class Sides is a printing attribute class, an enumeration, that specifies how print-stream pages are to be imposed upon the sides of an instance of a selected medium, i.e., an impression.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.